Bug 234702 - [PATCH] sysutils/syslog-ng319: update 'syslog-ng.config.sample' @version to 3.19
Summary: [PATCH] sysutils/syslog-ng319: update 'syslog-ng.config.sample' @version to 3.19
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Cy Schubert
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2019-01-07 18:30 UTC by Vinícius Zavam
Modified: 2019-01-09 03:35 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (cy)


Attachments
[PATCH] sysutils/syslog-ng319: update 'syslog-ng.config.sample' @version to 3.19 (16.64 KB, patch)
2019-01-07 18:30 UTC, Vinícius Zavam
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Vinícius Zavam freebsd_committer 2019-01-07 18:30:23 UTC
Created attachment 200881 [details]
[PATCH] sysutils/syslog-ng319: update 'syslog-ng.config.sample' @version to 3.19

files/syslog-ng.config.sample
    bump `@version` to 3.19;

  `Makefile`
    add `CURL` to `DEFAULT_OPTIONS` (http module needed by: apache, telegram, slack, elasticsearch - all were already enabled and installed by default)
Comment 1 Cy Schubert freebsd_committer 2019-01-07 20:46:22 UTC
Why?
Comment 2 Vinícius Zavam freebsd_committer 2019-01-07 21:11:37 UTC
(In reply to Cy Schubert from comment #1)

hey, hi cy! ty for writing back

after installing the mos recent syslog-ng (3.19) we notice that a warning is produced by its daemon and printed to stdout (or to its log file); using default config and all default modules + scl.conf includes. it's regarding the current version running and the '@version:' parameter on the config file (syslog-ng.conf).

the 'http' lib is not installed by the default options definition, and as listed before some of the modules require this lib (plist file from CURL option). they produce errors - another way to solve this would be deactivating and treating the plist files for CURL.

many thanks for your time here. very appreciated!

KR,
Comment 3 commit-hook freebsd_committer 2019-01-07 21:11:48 UTC
A commit references this bug:

Author: cy
Date: Mon Jan  7 21:11:05 UTC 2019
New revision: 489617
URL: https://svnweb.freebsd.org/changeset/ports/489617

Log:
  Make CURL a default option.

  PR:		234702
  Submitted by:	egypcio@ (for syslog-ng319 only)

Changes:
  head/sysutils/syslog-ng310/Makefile
  head/sysutils/syslog-ng311/Makefile
  head/sysutils/syslog-ng312/Makefile
  head/sysutils/syslog-ng313/Makefile
  head/sysutils/syslog-ng314/Makefile
  head/sysutils/syslog-ng315/Makefile
  head/sysutils/syslog-ng317/Makefile
  head/sysutils/syslog-ng318/Makefile
  head/sysutils/syslog-ng319/Makefile
  head/sysutils/syslog-ng39/Makefile
Comment 4 commit-hook freebsd_committer 2019-01-07 21:11:50 UTC
A commit references this bug:

Author: cy
Date: Mon Jan  7 21:11:09 UTC 2019
New revision: 489618
URL: https://svnweb.freebsd.org/changeset/ports/489618

Log:
  Update syslog-ng.conf sample to 3.19.

  PR:		234702
  Submitted by:	egypcio@

Changes:
  head/sysutils/syslog-ng319/Makefile
  head/sysutils/syslog-ng319/files/syslog-ng.conf.sample
Comment 5 Vinícius Zavam freebsd_committer 2019-01-08 12:14:36 UTC
super!

very kind from you to consider the changes, cy.
thank you very much :)

may I close/report it as FIXED or should you do it?

KR,
Comment 6 Cy Schubert freebsd_committer 2019-01-09 03:34:46 UTC
Though I still do want to know why. Is it for the sake of sameness?
Comment 7 Cy Schubert freebsd_committer 2019-01-09 03:35:14 UTC
Committed as requested.